| EVShield v1.3 EVShield Library Reference by mindsensors.com

Public Member Functions | List of all members
EVs_SumoEyes Class Reference

This class interfaces with EVTSumoEyes sensor attached to EVShield. More...

`#include <EVs_SumoEyes.h>`

Inheritance diagram for EVs_SumoEyes:

## Public Member Functions
bool | init (EVShield *shield, SH_BankPort bp)
bool | setType (int8_t type)
bool | setLongRange ()
bool | setShortRange ()
SE_Zone | detectObstacleZone ()
char * | OBZoneToString (SE_Zone ob)
Public Member Functions inherited from EVShieldAGS
| EVShieldAGS ()
| EVShieldAGS (EVShield *shield, SH_BankPort bp)
bool | setType (uint8_t type)
int | readRaw ()
bool | init (EVShield *shield, SH_BankPort bp)

## Additional Inherited Members
Public Attributes inherited from EVShieldAGS
EVShield * | mp_shield
SH_BankPort | m_bp

## Detailed Description

This class interfaces with EVTSumoEyes sensor attached to EVShield.

## Member Function Documentation

## § detectObstacleZone()

SE_Zone EVs_SumoEyes::detectObstacleZone | ( |  | ) |

detect the where the obstacle is

## § init()

bool EVs_SumoEyes::init | ( | EVShield * | shield,
|  | SH_BankPort | bp
| ) |  |

initialize the SumoEyes with a pointer to the EVShield and the bankport it is connected to

## § OBZoneToString()

char * EVs_SumoEyes::OBZoneToString | ( | SE_Zone | ob | ) |

convert the detected zone to a readable string

## § setLongRange()

bool EVs_SumoEyes::setLongRange | ( |  | ) |

set the analog mode of the sensor to get readings for long range

## § setShortRange()

bool EVs_SumoEyes::setShortRange | ( |  | ) |

set the analog mode of the sensor to get readings for short range

## § setType()

bool EVs_SumoEyes::setType | ( | int8_t | type | ) |

set the analog type of the sensor

The documentation for this class was generated from the following files:

- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_SumoEyes.h
- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_SumoEyes.cpp